File: changelog

package info (click to toggle)
php-defaults 56
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 172 kB
  • sloc: sh: 784; makefile: 63
file content (373 lines) | stat: -rw-r--r-- 11,821 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
php-defaults (56) unstable; urgency=medium

  * Actually update d/control to contain PHP 7.1 (Closes: #881416)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 12 Nov 2017 03:34:17 +0000

php-defaults (55) unstable; urgency=medium

  * Remove PrivateNetwork=true because it's not compatible with 3.16.0
    (Debian Jessie) kernel

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Sep 2017 06:42:01 +0200

php-defaults (54) unstable; urgency=medium

  * Update Vcs-* fields to https://gitlab.com/deb.sury.org
  * Soft transition for PHP modules - add PHP 7.1 to supported PHP versions

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Aug 2017 10:01:32 +0200

php-defaults (53) unstable; urgency=medium

  * phpquery now has non-zero exit status if live-link is missing
    (Courtesy of Vincent Deygas)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jul 2017 13:46:00 +0200

php-defaults (52) unstable; urgency=medium

  * Change Vcs-* URLs to gitlab.sury.org

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Apr 2017 14:52:09 +0200

php-defaults (51) unstable; urgency=medium

  * Add lintian-override for missing-build-dependency-for-dh_-command
  * Fix typo when enabling PHP extension (Closes: #855844)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Mar 2017 10:28:39 +0100

php-defaults (50) unstable; urgency=medium

  * Fix priority-parsing when previous lines contain numbers

 -- Ondřej Surý <ondrej@debian.org>  Thu, 02 Mar 2017 13:50:26 +0100

php-defaults (49) unstable; urgency=medium

  * PrivateDevices=true cannot be used as it mount /dev read-only (Closes: #849861)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Jan 2017 20:43:53 +0100

php-defaults (48) unstable; urgency=medium

  [ Daniel Schaal ]
  * Add support for systemd timers for phpsessionclean

  [ Ondřej Surý ]
  * Remove extra diversion for Ubuntu Wily (no longer supported)
  * Build without systemd support on Ubuntu 12.04 LTS
  * Move systemd units to main directory, it's a native package after all

 -- Ondřej Surý <ondrej@debian.org>  Sat, 31 Dec 2016 14:57:06 +0100

php-defaults (47) unstable; urgency=medium

  * Allow relaxed ; priority=<num> parsing

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Dec 2016 13:56:31 +0100

php-defaults (46) unstable; urgency=medium

  [ Ondřej Surý ]
  * Update d/control.in with new policy version and https

  [ Thijs Kinkhorst ]
  * Remove self from uploaders.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Nov 2016 10:47:32 +0100

php-defaults (45) unstable; urgency=medium

  * Fix small issues in sessionclean script (Courtesy of Martijn Grendelman)
    + PHP-FPM binary is named php-fpm@VERSION@
    + Fix too much escaping when touching session files

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Sep 2016 13:30:43 +0200

php-defaults (44) unstable; urgency=medium

  * Don't lose status from check_mod() (Closes: #834189)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2016 11:14:54 +0200

php-defaults (43) unstable; urgency=medium

  * Move -ignore_session_path to be the first argument

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Jul 2016 10:43:00 +0200

php-defaults (42) unstable; urgency=medium

  * Silence errors from find caused by time race.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 16 Jun 2016 09:01:09 +0200

php-defaults (41) unstable; urgency=medium

  * Match only the first ; priority=[0-9] line in the ini file

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 May 2016 10:18:28 +0200

php-defaults (40) unstable; urgency=medium

  * Only use dpkg-divert on Ubuntu 15.10 (Closes: #823515)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 09 May 2016 11:55:13 +0200

php-defaults (39) unstable; urgency=medium

  * Change Vcs-Browser links to https cgit
  * Bump standards to 3.9.8 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 May 2016 15:26:40 +0200

php-defaults (38) unstable; urgency=medium

  * Fix the bug where sessionclean doesn't touch session files
  * Replace the while loop with for loop to prevent launching subshell in
    the sessionclean script
  * Reverse sort the output of -V, so the default version is more likely
    to be at the top (this needs to be fixed when f.e. we have 7.1 as
    supported, but 7.0 as default, if that ever happens)
  * Add lintian override for phar dpkg-divert
  * Add couple of more lintian-overrides for things that are correct

 -- Ondřej Surý <ondrej@debian.org>  Fri, 29 Apr 2016 10:50:18 +0200

php-defaults (37) unstable; urgency=medium

  * Instead of conflicting with old php5 packages, use dpkg-divert to move
    /usr/bin/phar away
  * We need to divert to /usr/bin/phar.php5 to prevent clash with updated
    php5 packages

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Apr 2016 21:12:16 +0200

php-defaults (36) unstable; urgency=medium

  * Stop overloading variables in php-maintscript-helper, it was causing
    the next PHP version on the list to enable just the last SAPI on the
    previous list.  This was affecting only co-installable PHP versions
    installed side-by-side.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Mar 2016 16:15:20 +0100

php-defaults (35) unstable; urgency=medium

  * Simplify the package versions to use only SUPPORTED_VERSION for common
    packages and DEB_VERSION for php-common and php-all-dev to be able to
    update mixed versions

 -- Ondřej Surý <ondrej@debian.org>  Tue, 01 Mar 2016 16:28:34 +0100

php-defaults (34) unstable; urgency=medium

  * Just little fix here and there

 -- Ondřej Surý <ondrej@debian.org>  Tue, 01 Mar 2016 12:08:28 +0100

php-defaults (33) unstable; urgency=medium

  * Create independent mods-available directory for each PHP version
  * php-common needs to have different version then the rest of the
    packages, so it's just $(DEB_EPOCH):$(DEB_VERSION) and it doesn't
    include supported PHP versions

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Feb 2016 09:45:39 +0100

php-defaults (32) unstable; urgency=medium

  * Bump epoch to 1, so the new version number is higher than the old one

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Feb 2016 20:47:04 +0100

php-defaults (31) unstable; urgency=medium

  * Generate package version numbers from PHP supported versions and
    changelog version
  * Remove php-dbg package
  * Bump standards version to 3.9.7 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Feb 2016 20:25:43 +0100

php-defaults (30) unstable; urgency=medium

  * Regenerate d/control

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Feb 2016 18:41:09 +0100

php-defaults (29) unstable; urgency=medium

  * Update modulelist to match the new extension packages

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Feb 2016 10:12:44 +0100

php-defaults (28) unstable; urgency=medium

  * php-all-dev needs to pull phpX.Y-json packages in addition to phpX.Y-dev

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Feb 2016 16:39:48 +0100

php-defaults (27) unstable; urgency=medium

  * Add php-fpm default package

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Feb 2016 11:40:38 +0100

php-defaults (26) unstable; urgency=medium

  [ Tugdual Saunier ]
  * Fix priorities handling in php-helper

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Feb 2016 14:16:34 +0100

php-defaults (25) unstable; urgency=medium

  * Supress dpkg-statoverride --list output (Closes: #812983)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Feb 2016 11:17:14 +0100

php-defaults (24) unstable; urgency=medium

  * Make -v ALL -s ALL default if -v or -s was not specified

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Jan 2016 12:37:20 +0100

php-defaults (23) unstable; urgency=medium

  * Add CLI to list of supported SAPIS in sessionclean script
  * Fix versioned binaries' names that sessionclean script checks

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Jan 2016 10:08:32 +0100

php-defaults (22) unstable; urgency=medium

  * Fix php-dev description (Closes: #809725)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Jan 2016 11:45:29 +0100

php-defaults (21) unstable; urgency=medium

  * Remove automatic (de-)registration of modules on '-s ALL'

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Dec 2015 18:06:26 +0100

php-defaults (20) unstable; urgency=medium

  * Fix typo in enchant modules name
  * Add d/control to .PHONY rules, so we can always regenerate it
  * Fix double php-dev package in d/control.in

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Dec 2015 16:19:25 +0100

php-defaults (19) unstable; urgency=medium

  * Add default php-dbg package to complete the set of the dependency
    packages
  * Add Enchant, GMP and XSL default dependency packages

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Dec 2015 14:22:09 +0100

php-defaults (18) unstable; urgency=medium

  * Fix a -dev package generation (missing coma)
  * Fix permissions on /var/lib/php/sessions from php-common package
    (Closes: #807164)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Dec 2015 11:03:38 +0100

php-defaults (17) unstable; urgency=medium

  * Add PHP_SUPPORTED_VERSIONS to d/rules
  * Only one version (7.0) is supported under normal conditions
  * Update modulelist to up-to-date list of internal modules

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 Dec 2015 09:33:43 +0100

php-defaults (16) unstable; urgency=medium

  * Replace @PHP_VERSION@ in debian/control generated from
    php-module.control.in (Closes: #807386)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Dec 2015 16:47:59 +0100

php-defaults (15) unstable; urgency=medium

  [ Jan Wagner ]
  * Adding 'PHP_INI_SCAN_DIR=/etc/php/${version}/${conf_dir}/conf.d/' to
    session cleanup script when calling php

  [ Ondřej Surý ]
  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Dec 2015 12:09:32 +0100

php-defaults (14) experimental; urgency=medium

  * Fix missing field in d/copyright
  * Update d/control
  * Don't generate php-json, php-interbase and php-opcache (yet)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Nov 2015 15:20:27 +0100

php-defaults (13) experimental; urgency=medium

  * Add meta packages for all modules
  * Bump a version to one higher than src:php-modules

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Nov 2015 15:12:33 +0100

php-defaults (10) experimental; urgency=medium

  * Get rid of php5 -> replace with php${version}

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Nov 2015 15:10:04 +0100

php-defaults (9) unstable; urgency=medium

  * Update copyright on everything to match the Expat license

 -- Ondřej Surý <ondrej@debian.org>  Tue, 25 Aug 2015 15:37:07 +0200

php-defaults (8) unstable; urgency=medium

  * Add missing phpdbg SAPI to php-maintscript-helper script

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Aug 2015 13:28:49 +0200

php-defaults (7) unstable; urgency=medium

  * Autogenerate debian/control with default PHP version from debian/rules
  * Move the session dir to php-common package

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Jul 2015 11:22:30 +0200

php-defaults (6) unstable; urgency=medium

  * Fix the location of live link

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Jul 2015 10:08:58 +0200

php-defaults (5) unstable; urgency=medium

  * Move the dependencies from phpX.Y-common to php-common
  * We can get rid of lsof since we don't use it anymore
  * Add ${misc:Depends} and wrap-and-sort -ab files

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Jul 2015 08:45:59 +0200

php-defaults (4) unstable; urgency=medium

  * Add a mandatory /etc/php/mods-available directory
  * Purge /var/lib/php on php-common removal

 -- Ondřej Surý <ondrej@debian.org>  Wed, 29 Jul 2015 11:27:18 +0200

php-defaults (3) unstable; urgency=medium

  * Initial php-defaults package
  * Move the mods-available directory directly under /etc/php

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jul 2015 15:00:58 +0200